# Checkout Preferences

A Checkout Preference can be configured as either a **one-time payment** or a **subscription**.&#x20;

This is determined by the type field, which can be set to either **`PAYMENT`** or **`SUBSCRIPTION`**.

Once you have a checkout\_preference\_id after creating a Checkout Preference, you can redirect your users to the URL received in the field `checkout_url`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://oneinfinite.gitbook.io/v1/api-integration/api-reference/checkout-preferences.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
